Package net.shibboleth.shared.scripting

# Class ScriptedRunnable.RunnableScriptEvaluator

java.lang.Object
net.shibboleth.shared.scripting.AbstractScriptEvaluator
net.shibboleth.shared.scripting.ScriptedRunnable.RunnableScriptEvaluator

Enclosing class:
  ScriptedRunnable

private class ScriptedRunnable.RunnableScriptEvaluator extends AbstractScriptEvaluator
The thing that runs the script.

## Field Summary

### Fields inherited from class net.shibboleth.shared.scripting.AbstractScriptEvaluator

`DEFAULT_ENGINE`

## Constructor Summary

Constructors
Constructor
Description
`RunnableScriptEvaluator(EvaluableScript theScript)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
Run the script.
`protected void`
`prepareContext(ScriptContext scriptContext, Object... input)`
Pre-process the script context before execution.

### Methods inherited from class net.shibboleth.shared.scripting.AbstractScriptEvaluator

`evaluate, finalizeContext, getCustomObject, getHideExceptions, getLogPrefix, getOutputType, getReturnOnError, setContextExtenders, setCustomObject, setHideExceptions, setLogPrefix, setOutputType, setReturnOnError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RunnableScriptEvaluator

public RunnableScriptEvaluator(@Nonnull EvaluableScript theScript)
Constructor.

Parameters:
  `theScript` - the script we will evaluate.

## Method Details

### prepareContext

protected void prepareContext(@Nonnull ScriptContext scriptContext, @Nullable Object... input)
Pre-process the script context before execution.

Specified by:
  `prepareContext` in class `AbstractScriptEvaluator`
Parameters:
  `scriptContext` - the script context
  `input` - the input

### execute

public void execute()
Run the script. Logging as appropriate.